package com.skyversation.poiaddr.bean;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.data.domain.Persistable;

import javax.persistence.*;
import java.time.Instant;

@Getter
@Setter
@Entity
@Table(name = "t_address_callback")
@AllArgsConstructor
@NoArgsConstructor
public class TAddressCallback implements Persistable<Integer> {
    @Id
    @Column(name = "id", nullable = false)
    private Integer id;

    @Column(name = "create_time")
    private Instant createTime;

    @Column(name = "address")
    private String address;

    @Column(name = "name")
    private String name;

    @Column(name = "provice_name")
    private String proviceName;

    @Column(name = "city_name")
    private String cityName;

    @Column(name = "town_name")
    private String townName;

    @Column(name = "community_name")
    private String communityName;

    @Column(name = "status")
    private Short status;

    @Column(name = "process_status")
    private Short processStatus;

    @Override
    @Transient
    public boolean isNew() {
        return true;
    }
}