package com.skyversation.poiaddr.bean;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class WDToken {

    @JsonProperty("msg")
    private String msg;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("data")
    private DataDTO data;
    @JsonProperty("success")
    private Boolean success;
    private Long time;

    @NoArgsConstructor
    @Data
    public static class DataDTO {
        @JsonProperty("token")
        private String token;
    }

    public String getToken(){
        return data.getToken();
    }
}
