package com.skyversation.poiaddr.entity;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

// 代表 GeoJSON 的 Feature
@AllArgsConstructor
@NoArgsConstructor
@Data
public class FeatureDiy implements Serializable {
    @JsonProperty("type")
    private String type;
    @JsonProperty("geometry")
    private GeometryDiy geometry;
    @JsonProperty("properties")
    private Map<String,Object> properties;
}