package com.skyversation.poiaddr.repository;

import com.skyversation.poiaddr.bean.YyszAddressQp;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Optional;

public interface YyszAddressQpRep extends JpaRepository<YyszAddressQp, Integer> {
    @Query(value = "SELECT MAX(e.oid) FROM yysz_address_qp e", nativeQuery = true)
    Optional<Integer> findMaxId();
    @Query(value = "UPDATE yysz_address_qp e SET location = ST_GeomFromText(:wkt) WHERE oid = :id", nativeQuery = true)
    @Modifying
    void updateLocation(@Param("id") int id, @Param("wkt") String wkt);
}
