package com.skyversation.poiaddr;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.data.web.config.EnableSpringDataWebSupport;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableSpringDataWebSupport // 以自动处理分页参数和 Page 的序列化：
@EnableScheduling // 定时任务支持
public class PoiAddrApplication extends SpringBootServletInitializer {
    public static void main(String[] args) {
        SpringApplication.run(PoiAddrApplication.class, args);
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(PoiAddrApplication.class);
    }
}
